Subject: Re: [PATCH] Allow git to use any HTTP authentication method.

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 28 Dec 2009 07:37:01 -0800

Tay Ray Chuan <[email-masked]> wrote:
> On Mon, Dec 28, 2009 at 8:09 PM, Martin Storsj?? <[email-masked]> wrote:
> > On Mon, 28 Dec 2009, L??na??c Huard wrote:
> >
> >> The attached patch makes git configure libcurl to negotiate the most suitable
> >> HTTP authentication method.
...
> > Something similar has already been queued for inclusion, and is available
> > in the branch 'next', in commit b8ac923010484908d8426cb8ded5ad7e8c21a7f6.
> > The patch available there requires you to set http.authAny for the libcurl
> > option to be enabled.

Uh, stupid question, but why must we enable this option?  I don't
have to enable something in my browser before I use digest auth to
visit a website, why do I need to enable it in git?

How does one use git clone with an http:// URL with digest
authentication?  Its not obvious to the user that you would need
to first export an obtuse environment variable to get something
that should Just Work(tm).

Yes, I realize you may need to perform an extra HTTP request to
start the transaction, but why aren't we doing that?  Isn't it only
1 additional request to discover the desired authentication method?

-- 
Shawn.